From ROB-EX Scheduler v6.4.1.814 the ROB-EX Scheduler installer will automatically copy an OpenJDK Java Runtime into <sch_client_dir>\bin\jre (or <sch_client_dir>\bin\jre32 for 32-bit Java)

From ROB-EX Scheduler v6.4.1.814 we also provide new versions of <sch_client_dir>\bin\ROB-EX Gantt.exe and <sch_client_dir>\bin\ROB-EX Viewer.exe which will automatically utilize an optionally bundled version of the Java Runtime. I.e. a Java runtime installed locally in <sch_client_dir>\bin\jre (or <sch_client_dir>\bin\jre32 for 32-bit Java)

Advantages of a bundled Java Runtime

The advantages of using a bundled runtime are

  1. The user does not have to install a Java runtime on his/her PC. Even if running ROB-EX via a network share shortcut (e.g. \\robex-server\planner\bin\ROB-EX Gantt.exe)
  2. The user avoids any mix-up between different versions of Java that are installed on his/her PC. I.e. one app requires Java 7 and another Java 8
  3. The IT department does not need to worry about keeping Java up-to-date on a bunch of different pc’s
  4. The bundled runtime we distribute is the Adopt OpenJDK v1.8. This way any licensing conflicts with the most recent Oracle Java runtime (which is no longer free to use) is avoided.

32 and 64 bit Java

When <sch_client_dir>\bin\ROB-EX Gantt.exe starts up it will automatically detect if your Windows is a 64 or 32 bit OS. 64-bit windows will always select the 64-bit Java Runtime. 32-bit Windows will always select the 32-bit Java Runtime.

You may use the shortcut parameter (see more here)

-preferJavaArchitecture 32

to select a 32-bit Java runtime, even though your machine runs with 64-bit windows. This is useful if you need to support as an example a 32-bit ODBC driver.

ROB-EX 6.2 support

We always recommend all customers to upgrade to the newest ROB-EX version available. A special version of <sch_client_dir>\bin\ROB-EX Gantt.exe and <sch_client_dir>\bin\ROB-EX Viewer.exe has been prepared to support embedded Java Runtime on ROB-EX 6.2 installs. Please contact ROB-EX support to get download instructions.

If you run ROB-EX Gantt.exe -help then this version has a “(6.2)” right after the version no. E.g.
ROB-EX Gantt launcher v1.013 (6.2)
The 6.4 and newer just displays ROB-EX Gantt launcher v1.013

Emedded Java runtime is not supported for ROB-EX Scheduler v6.0 and older.

Integration Client

From ROB-EX Scheduler v6.4.1.814 the Integration Client has been updated to use the new embedded Java Runtime. The integration client will utilize the same embedded Java Runtime as the Client it is part of. If upgrading from an earlier ROB-EX Scheduler version, the windows service must be removed and re-installed for the change to happen. I.e. if you only update the ROB-EX IntegrationClient install code, then it will continue to run on the original (existing) Java Runtime.

Floating License Server

From ROB-EX Scheduler v6.4.1.814 the Floating License Server has been updated to use the new embedded Java Runtime. A separate Embedded Java Runtime is installed for the Floating License Server. If upgrading from an earlier ROB-EX Scheduler version, the windows service must be removed and re-installed for the change to happen. I.e. if you only update the ROB-EX License Server install, then it will continue to run on the original (existing) Java Runtime.

Feedback

Was this helpful?

Yes No
You indicated this topic was not helpful to you ...
Could you please leave a comment telling us why? Thank you!
Thanks for your feedback.

Post your comment on this topic.

Post Comment